@echo off
:MENU
set 'p=1
:PCHECK - Is the printer ready?
pcheck
if errorlevel 1 goto NOPRINT
set 'p=
cls
echo.
echo                 Dot Matrix Printer Selections
echo               Ŀ
echo                                                               
echo                A   10 cpi              N   Two strike on      
echo                B   12 cpi              O   Two strike off     
echo                C   17 cpi              P   NLQ on             
echo                D    6 lpi              Q   NLQ off            
echo                E    8 lpi              R   Superscript on     
echo                F   10 lpi              S   Superscript off    
echo                G   17 lpi              T   Subscript on       
echo                H   Wide on             U   Subscript off      
echo                I   Wide off            V   Tiny Mode on       
echo                J   Underline on        W   Tiny Mode off      
echo                K   Underline off       X   Condensed Mode on  
echo                L   Bold on             Y   Condensed Mode off 
echo                M   Bold off            Z   Form Feed          
echo                1   Soft Reset          3   Test Lines         
echo                2   Hard Reset             ESCape to quit     
echo                                                               
echo               
choix /m /n /c:abcdefghijklmnopqrstuvwxyz123
for %%a in (1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30) do if errorlevel %%a goto %%a
:NOPRINT - if PRN isn't ready, display message
   if "%'p%"=="1" cls
   if "%'p%"=="1" qecho "Printer is not ready yet"
   qecho "."
   set 'p=
   goto PCHECK - loop until PRN is ready
:1   A   10 cpi
   qecho 18 27 "M" > prn
   goto MENU
:2   B   12 cpi
   qecho 18 27 ":" > prn
   goto MENU
:3   C   17 cpi
   qecho 18 15 > prn
   goto MENU
:4   D    6 lpi
   qecho 27 "2" > prn
   goto MENU
:5   E    8 lpi
   qecho 27 "0" > prn
   goto MENU
:6   F   10 lpi
   qecho 27 "1" > prn
   goto MENU
:7   G   17 lpi
   qecho 27 "3" > prn
   goto MENU
:8   H   Wide on
   qecho 14 > prn
   goto MENU
:9   I   Wide off
   qecho 20 > prn
   goto MENU
:10  J   Underline on
   qecho 27 "-1" > prn
   goto MENU
:11  K   Underline off
   qecho 27 "-0" > prn
   goto MENU
:12  L   Bold on
   qecho 27 "E" > prn
   goto MENU
:13  M   Bold off
   qecho 27 "F" > prn
   goto MENU
:14  N   Two strike on
   qecho 27 "G" > prn
   goto MENU
:15  O   Two strike off
   qecho 27 "H" > prn
   goto MENU
:16  P   NLQ on
   qecho 27 "I2" > prn
   goto MENU
:17  Q   NLQ off
   qecho 27 "I1" > prn
   goto MENU
:18  R   Superscript on
   qecho 27 "S0" > prn
   goto MENU
:19  S   Superscript off
   qecho 27 "T" > prn
   goto MENU
:20  T   Subscript on
   qecho 27 "S1" > prn
   goto MENU
:21  U   Subscript off
   qecho 27 "T" > prn
   goto MENU
:22  V   Tiny Mode on
   qecho 27 "1" 27 "S0" 15 > prn
   goto MENU
:23  W   Tiny Mode off
   qecho 27 "T" 18 27 "2" > prn
   goto MENU
:24  X   Condensed Mode on
   qecho 15 27 "0" > prn
   goto MENU
:25  Y   Condensed Mode off
   qecho 18 27 "2" > prn
   goto MENU
:26  Z   Form Feed
   qecho 12 > prn
   goto MENU
:27  1   Soft Reset
   qecho 18 20 27 "-0" 27 "F" 27 "H" 27 "I1" 27 "T" 27 "0" > prn
   goto MENU
:28  2   Hard Reset
   pcheck /r
   goto MENU
:29  3   Test Line
   copy pset.dat prn > nul
   goto MENU
:30 - Quit, escape key was pressed.
:31 - Quit, mouse activated.
